local util = req_rel(..., "util")
local popup = req_rel(..., "popup")
local widget = req_rel(..., "widget")

return gears.table.join(
	awful.key( {"Mod4"}, "space",
		function()
			util.next(function()
				popup.update()
				widget.update()
			end)
		end,
		{
			description = "Change input language",
			group = "System"
		}
	),


	awful.key( {"Mod4", "Shift", "Control"}, "9",
		function()
			util.set(2, function()
				popup.update()
				widget.update()
			end)
		end,
		{
			description = "Set input language to RU",
			group = "System"
		}
	),


	awful.key( {"Mod4", "Shift", "Control"}, "0",
		function()
			util.set(1, function()
				popup.update()
				widget.update()
			end)
		end,
		{
			description = "Set input language to EN",
			group = "System"
		}
	)
)
