local util = {}

util.mpc_command = function(command, callback)
	awful.spawn.easy_async(
		"mpc --host " .. config.mpc.host .. " "
			.. "--port " .. config.mpc.port .. " "
			.. command,
		callback
	)
end

util.mpc_watch = function(command, timeout, callback, widget)
	awful.widget.watch(
		"mpc --host " .. config.mpc.host .. " "
			.. "--port " .. config.mpc.port .. " "
			.. command,
		timeout,
		callback,
		widget
	)
end

return util
