local overrides = function(theme)
	theme.tasklist_fg_normal = theme.color.bar.active
	theme.tasklist_bg_normal = theme.color.bar.color

	theme.tasklist_fg_focus = theme.color.white
	theme.tasklist_bg_focus = theme.color.bar.color

	theme.tasklist_fg_urgent = theme.color.white
	theme.tasklist_bg_urgent = theme.color.bar.color

	theme.tasklist_fg_occupied = theme.color.white
	theme.tasklist_bg_occupied = theme.color.bar.color

	theme.tasklist_fg_empty = theme.color.white .. "00"
	theme.tasklist_bg_empty = theme.color.bar.color

	theme.tasklist_fg_volatile = theme.color.white
	theme.tasklist_bg_volatile = theme.color.bar.color



	theme.prompt_font = config.core.font.prompt
	theme.prompt_fg = theme.color.white
	theme.prompt_bg = "#00000000"
	theme.prompt_fg_cursor = theme.color.black
	theme.prompt_bg_cursor = "#EC5250"


	-- Tags are managed with a custom script, so awesome
	-- tag theming is unnecessary.
	-- taglist_[bg|fg]_[focus|urgent|occupied|empty|volatile]

	return theme
end

return overrides
