local color = {
	black = "#050505",
	lblack = "#1D1F21",

	dgrey = "#555555",
	grey = "#D0D0D0",
	white = "#F8F8F2",

	red1 = "#FF6600",
	red2 = "#FFAA00",

	green1 = "#B4EC85",
	green2 = "#A8FF60",

	yellow1 = "#FFFFB6",
	yellow2 = "#F1FF52",

	blue1 = "#0087AF",
	blue2 = "#87DFFF",

	magenta1 = "#BD99FF",
	magenta2 = "#985EFF",

	cyan1 = "#87DFEB",
	cyan2 = "#24D1E7",

	transparent = "#00000000",
}

return gears.table.join({

	bar = {
		color = color.black,
		hover_bg = "#FFFFFF10",
		spacer = color.dgrey,

		active = color.white,
		inactive = color.white .. "AA",
	},

	battery = {
		good = "#53E2AE",
		warn = "#F1FF52",
		danger = "#EE4F84"
	}
}, color)
